Bug 219449 - anaconda used an incorrect sequence to install rpms
anaconda used an incorrect sequence to install rpms
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-13 01:23 EST by Zhang Yanmin
Modified: 2013-01-09 23:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 20:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/root/install.log get when installing os (30.53 KB, text/plain)
2006-12-13 01:23 EST, Zhang Yanmin
no flags Details
anacdump trace (53.01 KB, text/plain)
2007-01-11 21:43 EST, Zhang Yanmin
no flags Details
anaconda.log (19.32 KB, text/plain)
2007-01-11 21:45 EST, Zhang Yanmin
no flags Details

  None (edit)
Description Zhang Yanmin 2006-12-13 01:23:14 EST
Description of problem:
I built up CD and DVD images from the FC development tree, but the installation
failed. /root/istall.log reports lots of errors.

I used pungi to build the images. But it still failed if I use the old scripts
which did work before.

It looks like anaconda used an incorrect sequence to install rpms, e.g., install
other rpms before installing rpm bash.

I checked repodata/primary.xml.gz and the rpm sequence is correct.

Version-Release number of selected component (if applicable):
anaconda-11.2.0.1-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:



Expected results:


Additional info:
Comment 1 Zhang Yanmin 2006-12-13 01:23:14 EST
Created attachment 143492 [details]
/root/install.log get when installing os
Comment 2 Jeremy Katz 2006-12-15 11:28:58 EST
Can you provide /var/log/anaconda.log from teh system?

Comment 3 Zhang Yanmin 2006-12-17 20:09:40 EST
I found the mirror files at my site were incorrect. After resyning the files, 
I tried to rebuild the DVD images. Unfortunately, the installation failed 
again and reported:
"libpython2.5.so.1.0: cannot open shared object file:No such file or 
directory."

My buildup machine has python 2.4. I forced to install python 2.5 and 
anaconda -11.1.1.3-1 and tried to rebuildup the DVD images by pungi, but the 
buildup failed.

So it looks like I need python 2.5 to buildup DVD images, but the python 2.5 
could only be installed by the new DVD. It looks like a chicken-egg issue.

Any suggestion is highly appreciated!

Yanmin


Comment 4 Zhang Yanmin 2007-01-10 22:30:44 EST
I tried the latest anaconda-11.2.0.8-1 to rebuildup dvd image.
Many issues (CD/hard/network didn't work) disappeared, but
anaconda aborted after I inputed NFS inatallation server. It reported
libnash.so.6.0.6 was missing. 

cann't open share dobject file: No such file or directory.
 
I checked stage2.img and couldn't find libnash.so under usr/lib.
Comment 5 Zhang Yanmin 2007-01-11 03:29:52 EST
I applied below patch, the nash.so issue disappeared.
New issues:
1) Install by nfs: hit the glibc double free issue;
2) Install by cdrom: it reported no drive to have the cd;
3) Install by hard disk: it listed all partitions, but mount always failed.

Wait for the new packages.

Yanmin


------------------
diff -Nraup anaconda-11.2.0.8/scripts/upd-instroot
anaconda-11.2.0.8_fix/scripts/upd-instroot
--- anaconda-11.2.0.8/scripts/upd-instroot      2007-01-06 05:23:57.000000000
+0800
+++ anaconda-11.2.0.8_fix/scripts/upd-instroot  2007-01-11
05:29:44.000000000 +0800
@@ -123,7 +123,7 @@ PACKAGES="glibc glibc-common setup opens
         db4 rhpxl xorg-x11-server-Xorg libuser system-config-date
          yum-metadata-parser gfs2-utils libvolume_id
         libdhcp libnl libdhcp6client libdhcp4client
-        dmraid python-pyblock mkinitrd libbdevid libbdevid-python"
+        dmraid python-pyblock mkinitrd libbdevid libbdevid-python nash"
 
 if [ $ARCH = i386 -o $ARCH = x86_64 ]; then
     PACKAGES="$PACKAGES pcmciautils dmidecode"
@@ -395,6 +395,7 @@ usr/$LIBDIR/libnl*
 usr/$LIBDIR/libparted*
 usr/$LIBDIR/libpopt*
 usr/$LIBDIR/libpython*
+usr/$LIBDIR/libnash*
 usr/$LIBDIR/libneon*
 usr/$LIBDIR/libsqlite3*
 usr/$LIBDIR/librpm-*4.?.so*
Comment 6 Zhang Yanmin 2007-01-11 21:38:29 EST
I got the latest development tree, including anaconda-11.2.0.9-1, and rebuilt
DVD image.

Update on the installation of the new image:
1) Install by nfs: Exception;
2) Install by cdrom: Didn't test it;
3) Install by hard disk: Still old issue. It listed all partitions, but mount
always failed.

The nfs installation exception log/trace will be attached.

Yanmin
Comment 7 Zhang Yanmin 2007-01-11 21:43:09 EST
Created attachment 145422 [details]
anacdump trace
Comment 8 Zhang Yanmin 2007-01-11 21:45:25 EST
Created attachment 145424 [details]
anaconda.log
Comment 9 Zhang Yanmin 2007-01-16 04:08:03 EST
The root cause is class Network in file network.py puts useIPv4/6 as per
NetworkDevice attributes while class NetworkDeviceWindow still thinks
useIPv4/6 are net attributes.
Comment 10 Jesse Keating 2007-01-17 20:14:34 EST
(In reply to comment #9)
> The root cause is class Network in file network.py puts useIPv4/6 as per
> NetworkDevice attributes while class NetworkDeviceWindow still thinks
> useIPv4/6 are net attributes.
> 

This is tracked by #222840  Please do one issue per bug, rather than a host of
issues in one bug (:

We've gotten so far from the original issue that I don't know if we can close
this or not.
Comment 11 Zhang Yanmin 2007-01-17 20:20:43 EST
Thanks. This report could be closed. I will post further info to #222840.

Note You need to log in before you can comment on or make changes to this bug.